Zum Inhalt

Create vendor

Create a vendor object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/vendorsWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json

Request body

In the request body, supply a JSON representation of VendorWebCon object.

Response

If successful, this method returns 201 Created response code and a vendor object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/vendorsWebCon
Content-type: application/json

{
    "displayName": "TSO-DATA GmbH",
    "addressLine1": "Preußenweg 10",
    "city": "Osnabrück",
    "postalCode": "49076",
    "phoneNumber": "054113950",
    "email": "info@tso.de",
    "website": "https://tso.de",
    "taxRegistrationNumber": "DE117647926",
    "currencyCode": "EUR",
    "languageCode": "DEU",
    "generalBusinessPostingGroupCode": "INLAND",
    "vendorPostingGroup": "INLAND",
    "vatBusinessPostingGroup": "INLAND"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "id": "c6a5dc40-354b-ee11-a0d4-b9ebe2d4af15",
    "number": "K00010",
    "displayName": "TSO-DATA GmbH",
    "name2": "",
    "addressLine1": "Preußenweg 10",
    "addressLine2": "",
    "city": "Osnabrück",
    "state": "",
    "country": "",
    "postalCode": "49076",
    "phoneNumber": "054113950",
    "mobilePhoneNumber": "",
    "email": "info@tso.de",
    "website": "https://tso.de",
    "searchName": "TSO-DATA GMBH",
    "taxRegistrationNumber": "DE117647926",
    "currencyId": "00000000-0000-0000-0000-000000000000",
    "currencyCode": "EUR",
    "paymentTermsId": "cf532a39-dcd8-ed11-a7cd-000d3a392f9f",
    "paymentMethodId": "00000000-0000-0000-0000-000000000000",
    "taxLiable": false,
    "blocked": " ",
    "balance": 0,
    "languageCode": "DEU",
    "responsibilityCenter": "",
    "generalBusinessPostingGroupCode": "INLAND",
    "vendorPostingGroup": "INLAND",
    "vatBusinessPostingGroup": "INLAND",
    "yourAccountNumber": "",
    "lastModifiedDateTime": "2023-09-04T15:11:00.217Z"
}

See also

Tips for working with the APIs
vendor
Get vendor
Delete vendor
Update vendor